Managing memberships and list existing roles via REST api

2011-12-05 13:19 - Pierre-Yves Ronot

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

For an application we are developping, we need to be able to manage memberships with the REST api.

Attached is a patch that enables :

- access to the members of a project using the ?include=members option of the project's interface

- get and edit membership informations with GET /member/{id}.xml and PUT /member/{id}.xml

- add and remove memberships with POST /projects/{id}/members.xml and DELETE  /member/{id}.xml

- list roles with GET /roles.xml and get role informations with GET /role/{id}.xml

A member description takes this form (consistent with the web interface) (to POST to /projects/{id}/members.xml) :

<member>

    <role_ids type=\"array\">

        <role_id>3</role_id>

        <role_id>5</role_id>

    </role_ids>

    <user_ids type=\"array\">

        <user_id>1</user_id>

    </user_ids>

</member>

 For the edition :

<member>

    <role_ids type="array">

        <role_id name="Manager ">4</role_id>

        <role_id name="Rapporteur ">5</role_id>

    </role_ids>

</member>

 Can someone review the patch ? If possible, we would like this feature to be added to the next release.

Thanks in advance

Pierre-Yves

Related issues:

Is duplicate of Redmine - Feature #7420: Rest API for projects members Closed 2011-01-24

Associated revisions

Revision 8799 - 2012-02-06 11:06 - Jean-Philippe Lang

Adds a simple API for listing roles (#9725).

History

#1 - 2011-12-05 13:26 - Pierre-Yves Ronot

Related : #7420, #4968

#2 - 2011-12-05 13:37 - Yannis Mazzer

+1
https://www.redmine.org/issues/7420
https://www.redmine.org/issues/4968


Very good idea, I asked for it some weeks ago on irc channel :)

Pierre-Yves Ronot wrote:

Related : #7420, #4968

#3 - 2011-12-12 18:54 - Pierre-Yves Ronot

- File patch_membership added

#4 - 2011-12-14 16:43 - Pierre-Yves Ronot

- File patch_membership added

#5 - 2012-02-06 11:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #7420. Memberships API is added for 1.4. A simple role API was also added.

Have a look at REST API.

#6 - 2012-02-07 13:43 - Pierre-Yves Ronot

Thank you very much, we appreciate it.

Files

patch_membership 11 KB 2011-12-05 Pierre-Yves Ronot

patch_membership 11 KB 2011-12-12 Pierre-Yves Ronot

patch_membership 11.7 KB 2011-12-14 Pierre-Yves Ronot
